cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/conversations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>' \
--header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'import requests
url = "https://api.botpress.cloud/v1/chat/conversations/{id}"
headers = {
"x-bp-authenticated-principal": "<x-bp-authenticated-principal>",
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bp-authenticated-principal': '<x-bp-authenticated-principal>',
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.botpress.cloud/v1/chat/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channel": "<string>",
"integration": "<string>",
"tags": {},
"messageCount": 123,
"currentTaskId": "<string>",
"properties": {}
}
}{
"conversation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"channel": "<string>",
"integration": "<string>",
"tags": {},
"messageCount": 123,
"currentTaskId": "<string>",
"properties": {}
}
}getConversation
Retrieves the Conversation object for a valid identifier.
GET
/
v1
/
chat
/
conversations
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Authenticated principal. Injected by the authentication middleware.
Bot id
Integration id
Integration alias
Caller's IP address. Injected by the edge proxy.
Path Parameters
Conversation id
Response
Returns a Conversation object if a valid identifier was provided. Returns an error otherwise
The Conversation object represents an exchange of messages between one or more users. A Conversation is always linked to an integration's channels. For example, a Slack channel represents a conversation.
Show child attributes
Show child attributes
Last modified on July 3, 2026
Was this page helpful?
⌘I